## bcmwl 6.30.223.248+bdcom-0ubuntu8somerville2

=== debian/changelog ===
bcmwl (6.30.223.248+bdcom-0ubuntu8somerville2) trusty; urgency=medium

  * Bump version. 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 23 Dec 2016 09:51:06 +0800

bcmwl (6.30.223.248+bdcom-0ubuntu8somerville1) trusty; urgency=medium

  * Bump version to support trusty

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 16 Nov 2016 20:17:04 +0800

bcmwl (6.30.223.248+bdcom-0ubuntu8) xenial; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.3.patch:
    - Add support for Linux 4.3.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 16 Nov 2015 18:03:52 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu7) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: really fix matching for model 43b1,
    apparently modaliases are case-sensitive, and changing ubuntu-drivers
    to remove that limitation looks like it would negatively affect its
    performance. (LP: #1498074)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Sep 2015 15:46:13 -0400

bcmwl (6.30.223.248+bdcom-0ubuntu6) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: add 43b1 as a matched model in
    modalises; https://wireless.wiki.kernel.org/en/users/Drivers/b43 says it
    is supported by the wl driver (this is BCM4352). (LP: #1498074, #1173761)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Sep 2015 09:52:45 -0400

bcmwl (6.30.223.248+bdcom-0ubuntu5) wily; urgency=medium

  * debian/bcmwl-kernel-source.modaliases: Fine-tune product list as per
    http://www.broadcom.com/docs/linux_sta/README_6.30.223.248.txt. Thanks
    Adam Smith! (LP: #1490713)
  * debian/bcmwl-kernel-source.postrm: Warn that a reboot is needed after
    removing. Thanks Adam Smith! (LP: #1491070)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Sep 2015 10:12:45 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu4.1) wily; urgency=medium

  * Added needed patches for lts kernels (LP: #1415880)
  * Fixed null pointer reference (LP: #1415880)
    d/p/0019-broadcom-sta-6.30.223.248-3.18-null-pointer-fix.patch

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 10 Sep 2015 10:42:38 -0500

bcmwl (6.30.223.248+bdcom-0ubuntu4) wily; urgency=medium

  * Add support for Linux 4.2
    debian/patches/0018-cfg80211_disconnected.patch 
    A successful 4.2 based install depends on EXPORT_SYMBOL(flush_workqueue)
    which will first appear in linux (4.2.0-3.3).

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 04 Aug 2015 11:32:12 -0600

bcmwl (6.30.223.248+bdcom-0ubuntu3) wily; urgency=medium

  [ Simon Eisenmann ]
  * debian/dkms.conf.in
    debian/patches/0016-repair-make-warnings.patch
    debian/patches/0017-add-support-for-Linux-4.0.patch
    - Fixed make warnings
      Credit for the patch goes to Krzysztof Kolasa.
    - Add support for Linux 4.0 (LP: #1424676)
      Credit for the patch goes to Krzysztof Kolasa.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 11 May 2015 18:22:09 -0500

bcmwl (6.30.223.248+bdcom-0ubuntu2) vivid; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0014-add-support-for-Linux-3.17.patch,
    debian/patches/0015-add-support-for-Linux-3.18.patch:
    - Add support for Linux 3.17 (LP: #1358966).
      Credit for the patch goes to Brian Norris.
    - Add support for Linux 3.18 (LP: #1358966).
      Credit for the patch goes to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Nov 2014 18:43:27 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu1) utopic; urgency=medium

  * New upstream release: (LP: #1342645)
    - This is an official public release from Broadcom.
  * debian/dkms.conf.in:
    - Drop patches for kernels 3.10 (now upstream)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Aug 2014 11:09:43 +1200

bcmwl (6.30.223.141+bdcom-0ubuntu4) utopic; urgency=medium

  * debian/patches/0013-gcc.patch:
    - Fix build with recent version of GCC (LP: #1328858)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Aug 2014 10:38:46 +1200

bcmwl (6.30.223.141+bdcom-0ubuntu3) utopic; urgency=medium

  * debian/patches/0012-add-support-for-Linux-3.15.patch:
    - Add support for Linux 3.15 (LP: #1307744).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 May 2014 18:33:36 +0200

bcmwl (6.30.223.141+bdcom-0ubuntu2) trusty; urgency=low

  [ Shuduo Sang ]
  * 0010-change-the-network-interface-name-from-eth-to-wlan.patch:
    - Change the network interface name from eth to wlan
      (LP: #1157136).

  [ Krzysztof Kolasa ]
  * 0011-do-not-define-__devinit-as-__init-in-linux-3.8-as-__.patch:
    - Do not define __devinit as __init when dealing with
      Linux >= 3.8.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 22 Nov 2013 11:24:36 +0100

bcmwl (6.30.223.141+bdcom-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - This is an official public release from Broadcom.
  * debian/dkms.conf.in:
    - Drop patches for kernels 3.4-3.9 (now upstream)
      and keep only the one for 3.10.
  * 0009-add-support-for-linux-3.10.0.patch:
    - Refresh for the latest upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 09 Oct 2013 16:24:16 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu3) saucy; urgency=low

  * debian/dkms.conf.in:
    - Make sure 0009-add-support-for-linux-3.10.0.patch
      is applied only against Linux 3.10.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jul 2013 15:22:30 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu2) saucy; urgency=low

  * debian/dkms.conf.in,
    debian/patches/0009-add-support-for-linux-3.10.0.patch:
    - Add support for Linux 3.10.
      Thanks to Maarten Lankhorst for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Jun 2013 17:40:40 +0200

bcmwl (6.30.223.30+bdcom-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/dkms.conf.in:
    - Drop patches for Linux 3.2 and 3.4.
  * 0006-add-support-for-linux-3.8.0.patch,
    0007-nl80211-move-scan-API-to-wdev.patch:

