## bcmwl 6.30.223.273+bdcom

=== debian/changelog ===
bcmwl (6.30.223.273+bdcom) unstable; urgency=medium

  * update version.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 14 Feb 2022 10:24:17 +0800

bcmwl (6.30.223.271+bdcom) hirsute; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0029-Update-for-set_fs-removal-in-Linux-5.10.patch
    - Add internal ioctl helper to avoid the need to use set_fs()/get_fs(),
      which have been removed in Linux 5.10.

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 12 Mar 2021 08:35:16 -0600

bcmwl (6.30.223.271+bdcom-0ubuntu7) groovy; urgency=medium

  * debian/patches/0028-add-support-for-linux-5.6.patch:
    - Remove extra src prefix, which prevented the patch from
      being applied correctly (LP: #1878045).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Oct 2020 11:57:47 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu6) groovy; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0028-add-support-for-linux-5.6.patch (LP: #1872908):
    - Add support for Linux 5.6.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 13:23:19 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu5) eoan; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0027-add-support-for-linux-5.1.patch (LP: #1827100):
    - Add support for Linux 5.1.

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 17 May 2019 15:35:42 -0500

bcmwl (6.30.223.271+bdcom-0ubuntu4) bionic; urgency=medium

  * debian/dkms.conf.in, (LP: #1737744)
    debian/patches/0025-add-support-for-linux-4.14.patch:
    debian/patches/0026-add-support-for-linux-4.15.patch:
    - Add support for Linux 4.12.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 15 Dec 2017 18:22:18 +0000

bcmwl (6.30.223.271+bdcom-0ubuntu3) artful; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0024-add-support-for-linux-4.12.patch:
    - Add support for Linux 4.12.
      Thanks to Dmitriy Budnik for reporting the problem and for pointing
      to part of the solution.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Jun 2017 16:48:01 +0200

bcmwl (6.30.223.271+bdcom-0ubuntu2) zesty; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0023-add-support-for-linux-4.11.patch:
    - Add support for Linux 4.11.
      Credit for the patch goes to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 20 Mar 2017 16:55:50 +0100

bcmwl (6.30.223.271+bdcom-0ubuntu1) zesty; urgency=medium

  * debian/dkms.conf.in
    - Drop obsolete patches.
  * New upstream release:
    - Client does not ACK auth/assoc responses from Cisco AP3800 (LP: #1647036).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 06 Dec 2016 16:29:07 +0100

bcmwl (6.30.223.248+bdcom-0ubuntu11) yakkety; urgency=medium

  * debian/patches/0020-add-support-for-linux-4.8.patch:
    - Fix whitespace issue that prevented DKMS from applying the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 02 Sep 2016 17:41:43 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu10) yakkety; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.8.patch:
    - Add support for Linux 4.8. Thanks to Krzysztof Kolasa.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 22 Aug 2016 16:17:41 +0200

bcmwl (6.30.223.248+bdcom-0ubuntu9) yakkety; urgency=medium

  * debian/dkms.conf.in,
    debian/patches/0020-add-support-for-linux-4.7.patch:
    - Add support for Linux 4.7. Thanks to Vincent Gerris for pointing out
      the solution.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Aug 2016 16:53:09 +0200
