=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alberto Milone <alberto.milone@canonical.com>
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~),
- dh-modaliases
+Build-Depends: debhelper (>= 7.0.50~)
 
 Package: bcmwl-kernel-source
 Architecture: i386 amd64
