## bcmwl 6.30.223.274

=== debian/changelog ===
bcmwl (6.30.223.274-1) unstable; urgency=medium

  * support linux 5.17 

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 19 Apr 2022 11:23:15 +0800
