=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bcmwl
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@listsubuntu.com>
 XSBC-Original-Maintainer: Alberto Milone <alberto.milone@canonical.com>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~)
