=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh "$@" --with modaliases
+	dh "$@"
 
 # we don't actually build/clean the source here, it's dkms
 override_dh_auto_clean:
