## bcmwl 6.30.223.275

=== debian/changelog ===
bcmwl (6.30.223.275-2) unstable; urgency=medium

  * support linux 5.18 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 08 Jun 2022 15:18:42 +0800
